Page MenuHomePhabricator

Make sure relevant RelEng people have access to gallium (Chris M, Dan, Mukunda, Zeljko)
Closed, ResolvedPublic

Event Timeline

greg created this task.Jan 6 2015, 5:32 PM
greg raised the priority of this task from to Medium.
greg updated the task description. (Show Details)
greg added subscribers: greg, Cmcmahon, mmodell and 2 others.
hashar added a subscriber: hashar.Jan 6 2015, 5:32 PM

Mukunda has access to gallium after https://gerrit.wikimedia.org/r/#/c/181211/

@greg So, Chris, Dan and Zeljko need access to gallium, I assume the same access as Mukunda has?

Krenair added a subscriber: Krenair.Jan 6 2015, 5:45 PM
greg added a comment.Jan 6 2015, 5:51 PM

Mukunda has access to gallium after https://gerrit.wikimedia.org/r/#/c/181211/

@greg So, Chris, Dan and Zeljko need access to gallium, I assume the same access as Mukunda has?

Yeppers!

Change 183062 had a related patch set uploaded (by John F. Lewis):
add releng staff to contint-admins (gallium)

https://gerrit.wikimedia.org/r/183062

Patch-For-Review

The above commit gives Chris and Dan access waiting for Greg to formally approve it and then for ops to do their thing with it.

For Zeljko, I can't seem to find a shell account in data.yml for him so for now I will assume he doesn't have an account. As such @greg or @zeljkofilipin - could you please follow https://wikitech.wikimedia.org/wiki/Requesting_shell_access. Thanks :)

hashar added a subscriber: SRE-Access-Requests.

I believe ops expect shell access / permission changes to be in SRE-Access-Requests

chasemp set Security to None.
chasemp added a subtask: Restricted Task.
RobH claimed this task.Jan 23 2015, 5:54 PM
RobH added a subscriber: RobH.

I'll handle this later today. Ops is in break out sprints, which include a phabricator group (which I am in). I'll split off Zeljko's shell access request to its own sub-task later today (so Zeljko shouldn't feel the need to respond to this ticket with details quite yet!)

RobH closed this task as Resolved.Feb 2 2015, 10:31 PM
RobH closed subtask Restricted Task as Declined.

As the three days has long since passed, I'm merging https://gerrit.wikimedia.org/r/#/c/183062 live which gives access to everyone except Zeljko. Zeljko has to setup full shell access per https://phabricator.wikimedia.org/T87597

I'm unblocking the resolution of this ticket (it was blocked by T87597, but its now its own issue.

Change 183062 merged by RobH:
Add Dan Duvall to contint-admins

https://gerrit.wikimedia.org/r/183062

RobH closed this task as Resolved.Feb 2 2015, 10:36 PM